Subject: [6tisch] Minutes Webex 7 November 2014

From: Thomas Watteyne <[email-masked]>
Date: Fri, 7 Nov 2014 11:51:21 -0800

All,

You will find the minutes of the last 6TiSCH interim call below (also at
https://bitbucket.org/6tisch/meetings/ and
https://www.ietf.org/meeting/interim/proceedings.html).

Reply with comments/suggestions. We will approve these minutes at the next
6TiSCH interim call.

Thomas

---

Minutes Webex 07 November 2014, 6TiSCH WG

Note: timestamps in PDT.
Connection details

   - Webex:
   https://ciscosales.webex.com/ciscosales/j.php?ED=219615007&UID=481905242&PW=NZTRkNDAwOTE1&RT=MiMyMw%3D%3D
   - Etherpad:
   http://etherpad.tools.ietf.org:9000/p/6tisch?useMonospaceFont=true
   - Topic: 6TiSCH Weekly
   - Time: 8:00 am, Pacific Daylight Time (San Francisco, GMT-07:00)
   - Meeting Number: 206 802 913
   - Meeting Password: sixtus
   - CCM: +14085256800x206802913

Resources

   - Webex recording:
   https://cisco.webex.com/ciscosales/lsr.php?RCID=5dc727523f4a4b7ca02f2a8aef479f66
   - Wiki: https://bitbucket.org/6tisch/meetings/wiki/141107_webex
   - Slides:
   https://bitbucket.org/6tisch/meetings/src/master/141107_webex/slides_141107_webex.ppt

Taking notes *(using Etherpad)*

   1. Xavi Vilajosana
   2. Thomas Watteyne

Present

   1. Giuseppe Piro
   2. Maria Rita Palattella
   3. Martin Turon
   4. Michel Veillette
   5. Nicola Accettura
   6. Pascal Thubert
   7. Raghuram Sudhaakar
   8. Sedat Gormus
   9. Shitanshu Shah
   10. Subir Das
   11. Thomas Watteyne
   12. Xavi Vilajosana

Action Items

   - *Pascal* to add when draft-ietf-6tisch-tsch was adopted by WG
   - *Pascal* to remove "outline" slide from draft-ietf-6tisch-minimal
   presentation
   - *Xavi* to discuss with Pat Kinney about TsTxOffset. Renamed?
   - *Pascal* to start discussion in 6TiSCH ML about whether we make
   recommendation about a RPL instance to be used.

Agenda

   - Administrivia *[2min]*
      - Approval agenda
      - Approval minutes last call
   - overview new I-Ds *[3min]*
   - IETF91 admin *[5min]*
      - meetecho remote presentation
      - final agenda
   - run through draft-ietf-6tisch-minimal-03 *[5min]* (Xavi Vilajosana)
   - run through draft-ietf-6tisch-6top-interface-02 *[5min]* (Thomas
   Watteyne)
   - run through draft-finn-detnet-problem-statement-01 *[5min]* (Norm Finn)
   - run through 6TiSCH ETSI Plugtest slides *[5min]* (TBD)
   - run through draft-richardson-6tisch--security-6top-03 *[5min]* (Michael
   Richardson)
   - run through draft-struik-6tisch-security-architecture-elements-01
   *[5min]* (Rene Stuik)
   - RFC7322: RFC Style Guide *[5min]* (Pascal Thubert)
   - AOB *[5min]*

Minutes

   - *[08.05]* Meeting starts
      - *Pascal* starts recording
      - *Pascal* reminds note well
      - Objective of this call: prepare for IETF91 6TiSCH WG meeting, going
      through slides
      - *Thomas* indicates security design team met on Tuesday, minutes to
      be published
         - minutes will be published.
         - architecture is being developed.
         - Michael Richardson is going to present it at the next IETF
         meeting
      - *[08.07]* Administrivia *[2min]*
      - Approval agenda?
      - *[Thomas]* canceled agenda items:
         - Michael and Rene in the plane, they will send the slides as soon
         as they arrive in Hawaii.
         - Miguel will send slides on Monday
      - *[Thomas]* proposed additional agenda item:
         - discuss what we want to achieve during IETF91
      - *[Martin]* what is the 6TiSCH outcome about RPL compression?
         - *[Pascal]* discussions will be carried out during 6lo WG meeting
            - https://datatracker.ietf.org/meeting/91/agenda/6lo/
         - *[Thomas]* we agreed that the minimal draft published last week
         contains a link to the RPL compression mechanism that we are
planning to
         use at 6TiSCH

         http://www.ietf.org/internet-drafts/draft-thubert-6lo-rpl-nhc-02.txt

         - *[Pascal]* status: suggestion that we should work on compression
         of RFC6553 and RFC6554. Have a new dispatch type.
         - *[Pascal]* we started with Flow Label approach that was
         compressing using the flow label space. Moving to 6top we
make explicit
         that we carry the Routing information compressed. The cost is
that we use
         more bytes. Can we get back to the space defined in RFC4944
(dispatch) and
         create a routing dispatch?
         - *[Xavi]* Would we have 2 dispatch options?
         - *[Pascal]* the packet will have a routing dispatch inside there
         will be some TLVs. After this particular dispatch there might me other
         dispatch (including the original packet, IPv6 dispatch). In
terms of space
         this is similar to having Extension headers. Yes but it
solves the IP in IP
         problem (encapsulating IP in IP). Could mean deprecation of
the Mesh header.
         - *[Thomas]* I strongly oppose that idea.
         - *[Martin]* It seems like you are trying to propose a Mesh under
         RPL. Mesh header is well designed. Discourage the deprecation
of the Mesh
         header.
         - *[Thomas]* We agreed to use draft-thubert-6lo-rpl-nhc; now part
         of minimal draft. I believe we should stick to that plan. 6lo
meeting will
         dedicate 30min to this draft.
         - *[Thomas]* This discussion is very important and we need to have
         it in a open forum, well beyond this call.
      - *[Thomas]* What do we want to achieve during IETF91?

      *Thomas* pastes list in chat and presents it line by line

      - agreeing on
         http://www.ietf.org/internet-drafts/draft-thubert-6lo-rpl-nhc-02.txt
            - 30min in 6lo (
            https://datatracker.ietf.org/meeting/91/agenda/6lo/)
         - it looks like 4 drafts are almost WGLC'able
            - draft-ietf-6tisch-tsch
            - draft-ietf-6tisch-minimal
            - draft-ietf-6tisch-6top-interface
            - draft-ietf-6tisch-coap (see discussion below)
         - Chairs to discuss plugtest with AD
            - ETSI and 6TiSCH committed for IETF93
            - need to explore possibilities for rooms, etc with Ted
         - agree on strategy for draft-ietf-6tisch-coap
            - *[Thomas]* question is: should we push draft-ietf-6tisch-coap
            or wait for generic solution from COMAN?
            - *[Thomas]* opinions?
            - *[Xavi]* if COMAN's solution does not take ages, would prefer
            to go for a more general approach
            - *[Pascal]* suggest to publish a version of
            draft-ietf-6tisch-coap which clearly contains some
versioning mechanism, so
            we can (quickly) ship what we have and allow it to evolve.
            - *[Thomas]* Agree that would be better to have a generic
            solution, but we waited for 1 year now. We should speed up
things. Push for
            the current draft and have a back door so we can change in
case there is a
            more general solution.
         - *[Xavi]* Would add one point: discuss about the 6top interface
         and whether it should cover all the 15.4PIB or not. If not,
where is the
         boundary? what are the items that should be tackled by 6top YANG model?
      - Approval minutes last call

      [editorial note by Thomas: we got carried away by previous discussion
      and did NOT explicitly cover this point, oops. I will send an
e-mail to the
      ML to ask for approval of the minutes of last call. This is an additional
      action item NOT discussed during the call.]

      - overview new I-Ds *[3min]*
      - the following drafts were published for IETF91:
         - draft-ietf-6tisch-6top-interface-02
         - draft-ietf-6tisch-architecture-04
         - draft-ietf-6tisch-minimal-03
         - draft-ietf-6tisch-tsch-03
         - draft-richardson-6tisch--security-6top-03
         - draft-struik-6tisch-security-architecture-elements-01
      - *[08.39]* IETF91 admin *[5min]*
      - final agenda at
      https://datatracker.ietf.org/meeting/91/agenda/6tisch/
   - run-through draft-ietf-6tisch-tsch-03 *[Maria Rita Palattella]*
      - *Maria Rita* presents slides

      Action item: *Pascal* to add when draft-ietf-6tisch-tsch was adopted
      by WG

      - run-through draft-ietf-6tisch-minimal-03 *[Xavi Vilajosana]*
      - Xavi presents slides

      Action item: *Pascal* to remove "outline" slide from
      draft-ietf-6tisch-minimal presentation

      - *[Xavi]* we need to discuss with Pat Kinney about TsTxOffset.
      Renamed?

      Action item: *Xavi* to discuss with Pat Kinney about TsTxOffset.
      Renamed?

      - *[Pascal]* in architecture, indicate we use rank from one RPL
      distribution
      - *[Xavi]* for minimal, we could use the lowest/highest

      Action item: *Pascal* to start discussion in 6TiSCH ML about whether
      we make recommendation about a RPL instance to be used

      - run-through draft-ietf-6tisch-6top-interface-02 *[Thomas Watteyne]*
      - We need to raise question about authorship. Pat Kinney will
      probably join authors, mostly for English.
   - run-through draft-finn-detnet-problem-statement-01 *[Pascal Thubert]*
      - *Pascal* presents slides, can present slides during WG meeting, or
      Norm
   - run-through 6TiSCH ETSI Plugtest slides

   not covered (see comment Thomas at beginning of call)

   - run through draft-richardson-6tisch--security-6top-03

   not covered (see comment Thomas at beginning of call)

   - run through draft-struik-6tisch-security-architecture-elements-01

   not covered (see comment Thomas at beginning of call)

   - RFC7322: RFC Style Guide

   not covered. *Pascal* recommends to go through slides.

   - AOB *[5min]*
      - *[Thomas]* Meetecho team will contact remote presenters to schedule
      some testing. This will be during IETF week, but before the WG
meeting. Not
      sure when.
      - *[Martin]* Suggests to spend more time on security, and have a
      clear presentation discussion on what is proposed.
      - *[Martin]* Have fun in HI!
   - *[09.15]* Meeting ends